Retry a failed asset-pack preview
Retry a failed asset-pack preview.
curl --request POST \
--url https://api.mint.gg/v1/asset-packs/{assetPackId}:retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemIds": [
"<string>"
]
}
'import requests
url = "https://api.mint.gg/v1/asset-packs/{assetPackId}:retry"
payload = { "itemIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemIds: ['<string>']})
};
fetch('https://api.mint.gg/v1/asset-packs/{assetPackId}:retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "operation",
"id": "op_01JEXAMPLE",
"type": "generation_retry",
"generationMode": "auto",
"status": "running",
"resource": {
"type": "asset_pack",
"id": "asset_pack_01JEXAMPLE"
},
"createdAt": "2026-07-21T20:00:00.000Z",
"updatedAt": "2026-07-21T20:00:01.000Z"
}{
"object": "operation",
"id": "op_01JEXAMPLE",
"type": "generation_retry",
"generationMode": "auto",
"status": "running",
"resource": {
"type": "asset_pack",
"id": "asset_pack_01JEXAMPLE"
},
"createdAt": "2026-07-21T20:00:00.000Z",
"updatedAt": "2026-07-21T20:00:01.000Z"
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}Authorizations
Mint API key sent as a Bearer token.
Headers
Optional stable key for safely retrying an uncertain mutating request. Mint creates an internal key when this header is omitted. Reusing a supplied key with different parameters returns 409.
1 - 255Path Parameters
Body
Optionally select failed Asset Pack Preview items to retry.
Failed item IDs to retry; omit to retry every eligible item.
1 - 25 elementsResponse
An earlier request with the same retry key returned this operation.
A long-running operation acting on one Mint asset_pack.
Stable object discriminator.
"operation"Mint operation ID used for polling.
The work this operation performs.
generation_retry, asset_pack_regeneration Workflow mode for this operation.
auto, review Current operation lifecycle status.
queued, running, preview_ready, billing_required, succeeded, partially_succeeded, failed, canceled The Mint asset_pack affected by this operation.
Show child attributes
Show child attributes
When the operation was created.
When the operation last changed.
The billing action required before this operation can continue.
Show child attributes
Show child attributes
Credit estimate, active reservation, finalized charge, and post-reservation balance for this operation.
Show child attributes
Show child attributes
Terminal failure details when the operation failed.
Show child attributes
Show child attributes
When the operation completed.
When the operation was canceled.
